// @ts-check
import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';
import sidebarFr from './src/sidebars/fr/sidebar';

// https://astro.build/config
export default defineConfig({
	trailingSlash: 'always',
	integrations: [
		starlight({
			title: 'Open Source Québec',
			defaultLocale: 'fr',
			locales: {
				fr: {
					label: 'Français'
				}
			},
			social: { // todo: implement gitea social
				github: 'https://git.quebec',
			},
			sidebar: sidebarFr
		}),
	],
	redirects: {
		'/': {
			status: 302, // Temporary redirect
			destination: '/fr/',
		},
	},
});
